Skip to main content
GET
/
api
/
v1
/
llm
/
models
/
cluster_registry
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.models.list_cluster_registry()

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "openai:gpt-4.1-mini",
      "provider": "openai",
      "api_format": "responses",
      "hidden": false,
      "error_fallback_model_id": null
    },
    {
      "id": "openai:gpt-4o-mini",
      "provider": "openai",
      "api_format": "responses",
      "hidden": false,
      "error_fallback_model_id": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Response

200 - application/json

OK

object
any
required
data
object[]
required